Ansys Products

Ansys Products

New combined license file does not allow all products to work

    • vuiis-sysadmin
      Subscriber

      eliminating the ansoft.lic file and going to a combined ansyslmd.lic file makes it so that our users of the electromagnetics suite cannot work anymore. Fluent users continue to be able to open the app and work. Very bad time for this to take place for us as we  have several HFSS users who are under a big conference deadline.


      Running LM on Linux CentOS 7 with all updates, LM is 19.2.

    • tsiriaks
      Ansys Employee

      Hi vuiis-sysadmin,


      What is the error message the clients are seeing ?


      I can't think of a situation when combined license would affect Ansoft users. Except, you were hosting Ansoft license with the legacy FlexLM for Ansoft License Manager. Using this legacy LM, the clients won't have to specify the FlexNet port number in their '.lic' files under (default) C:Program FilesAnsysEMadmin. It would look something like


      SERVER  ANY 


      USE_SERVER


      But once you host the license in ANSYS LM, client must specify the FlexNet port (default is 1055), something like


      SERVER ANY 1055


      USE_SERVER


       


      If you can attach the 'license.log' from the license server, that would be helpful too.


      Thank you,


      Win

    • vuiis-sysadmin
      Subscriber

      License Manager is from the 19.2 License Manager installer.


      SERVER ansys 000c298fa315 1055


      VENDOR ansyslmd 1056


      USE_SERVER


       


      error:


      Failed to check out license 'hfss_desktop'.


      Cannot connect to license server (FLEXlm Error -15)


       


      Failed to check out license 'designer_desktop'.


      Cannot connect to license server (FLEXlm Error -15)


       


      Failed to check out license 'q3d_desktop'.


      Cannot connect to license server (FLEXlm Error -15)


       


      Failed to check out license 'maxwell_desktop'.


      Cannot connect to license server (FLEXlm Error -15)


       


      Failed to check out license 'simplorer_desktop'.


      Cannot connect to license server (FLEXlm Error -15)


       


      Failed to check out license 'electronics_desktop'.


      Cannot connect to license server (FLEXlm Error -15)


      From the same client machine Fluent opens just fine.

    • tsiriaks
      Ansys Employee

      Hi vuiis-sysadmin,


      Now we are moving one step closer to my guess earlier.


      On the client machine, check all '.lic' files under (default) C:Program FilesAnsysEMadmin  and make sure it specifies port 1055


      Also, check if that client machine is using any of the following environment variables


      ANSOFTD_LICENSE_FILE


      LM_LICENSE_FILE


      If so, please post the value here.


      Thank you,


      Win

    • vuiis-sysadmin
      Subscriber

      On Client:


      SERVER ANSYS.VUIIS.ORG ANY 1055


      USE_SERVER


      No environment variables were created by me on the client. Whatever the installer does is what was done.


      No environment variables named ANSOFTD_LICENSE_FILE or LM_LICENSE_FILE


       


      Firewall ports on the license manager server that are open:


      1055 tcp/udp


       


      1056 tcp/udp


       


      2325 tcp/udp


       


      ansyslmd.lic file on LM server:


      SERVER ansys 000c298fa315 1055


      VENDOR ansyslmd 1056


       


      USE_SERVER


       


       

    • JakeC
      Ansys Employee

      Hi,


      Vendor line should look like:


      VENDOR ansyslmd PORT=1056


      Please try that.


       


      Thank you,


      Jake

    • vuiis-sysadmin
      Subscriber

      Sure wish Ansys could stay consistent in port number and syntax.


      VENDOR ansyslmd PORT=1056


      VENDOR ansyslmd PORT=2700


      VENDOR ansyslmd 1056


      VENDOR ansyslmd 2700


      Looks like this year it is VENDOR ansyslmd PORT=1056


      Thanks for your assistance.

    • ANSYS_MMadore
      Ansys Employee

      Hello,


      The choice of port for the vendor is actually made by the customer, it's not dictated by ANSYS. The syntax should always be PORT= when setting a static vendor port, which is and has always been the standard syntax used for flexlm based licensing.


       


      Thank you,


      Matt

    • vuiis-sysadmin
      Subscriber

      Is there a limit on what version of AnsysEM will work with the latest license?


      I have a user with version 15 that is getting a -17 error when trying to run HFSS.


       


      Bruce

    • JakeC
      Ansys Employee

      Hi,


      Yes, I believe 16.2 is the earliest version you can use.


       


      Thank you,


      Jake

Viewing 9 reply threads
  • You must be logged in to reply to this topic.